Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf
Interface MAFFinder

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  MAFFinder_RMIImpl

public interface MAFFinder
extends java.rmi.Remote

Method Summary
`java.util.Hashtable` | `list_agent_entries()`
`java.util.Hashtable` | `list_agent_system_entries()`
`java.util.Hashtable` | `list_place_entries()`
`java.lang.String[]` | `lookup_agent_system(Name agent_system_name, AgentSystemInfo agent_system_info)`
`java.lang.String[]` | `lookup_agent(Name agent_name, AgentProfile agent_profile)`
`java.lang.String[]` | `lookup_place(java.lang.String place_name)`
`void` | `register_agent_system(Name agent_system_name, java.lang.String agent_system_location, AgentSystemInfo agent_system_info)`
`void` | `register_agent(Name agent_name, java.lang.String agent_location, AgentProfile agent_profile)`
`void` | `register_place(java.lang.String place_name, java.lang.String place_location)`
`void` | `unregister_agent_system(Name agent_system_name)`
`void` | `unregister_agent(Name agent_name)`
`void` | `unregister_place(java.lang.String place_name)`

Method Detail

### list_agent_entries

    public java.util.Hashtable list_agent_entries()
                                           throws java.rmi.RemoteException

### list_agent_system_entries

    public java.util.Hashtable list_agent_system_entries()
                                                  throws java.rmi.RemoteException

### list_place_entries

    public java.util.Hashtable list_place_entries()
                                           throws java.rmi.RemoteException

### lookup_agent

    public java.lang.String[] lookup_agent(Name agent_name,
                                           AgentProfile agent_profile)
                                    throws EntryNotFound,
                                           java.rmi.RemoteException

### lookup_agent_system

    public java.lang.String[] lookup_agent_system(Name agent_system_name,
                                                  AgentSystemInfo agent_system_info)
                                           throws EntryNotFound,
                                                  java.rmi.RemoteException

### lookup_place

    public java.lang.String[] lookup_place(java.lang.String place_name)
                                    throws EntryNotFound,
                                           java.rmi.RemoteException

### register_agent

    public void register_agent(Name agent_name,
                               java.lang.String agent_location,
                               AgentProfile agent_profile)
                        throws NameInvalid,
                               java.rmi.RemoteException

### register_agent_system

    public void register_agent_system(Name agent_system_name,
                                      java.lang.String agent_system_location,
                                      AgentSystemInfo agent_system_info)
                               throws NameInvalid,
                                      java.rmi.RemoteException

### register_place

    public void register_place(java.lang.String place_name,
                               java.lang.String place_location)
                        throws NameInvalid,
                               java.rmi.RemoteException

### unregister_agent

    public void unregister_agent(Name agent_name)
                          throws EntryNotFound,
                                 java.rmi.RemoteException

### unregister_agent_system

    public void unregister_agent_system(Name agent_system_name)
                                 throws EntryNotFound,
                                        java.rmi.RemoteException

### unregister_place

    public void unregister_place(java.lang.String place_name)
                          throws EntryNotFound,
                                 java.rmi.RemoteException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD